package com.casic.dcms.utils;

import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;

import com.casic.dcms.view.map.DisplayMapActivity;
import com.pengxh.androidx.lite.kit.StringKit;

public class MapHelper {
    private static final String TAG = "MapHelper";

    //查看地图位置
    public static void displayOnMap(Context context, String eorc, String lng, String lat) {
        Intent intent = new Intent(context, DisplayMapActivity.class);
        intent.putExtra("caseType", eorc);
        if (TextUtils.isEmpty(lng)) {
            StringKit.show(context, "案卷经度异常");
            return;
        }
        intent.putExtra("lng", Double.parseDouble(lng));
        if (TextUtils.isEmpty(lat)) {
            StringKit.show(context, "案卷纬度异常");
            return;
        }
        intent.putExtra("lat", Double.parseDouble(lat));
        context.startActivity(intent);
    }
}
